// MoveList.cpp: implementation of the CMoveList class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Othello.h"
#include "MoveList.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CMoveList::CMoveList()
{
	nMovesCompleted = 0;

}

CMoveList::~CMoveList()
{

}

void CMoveList::addMove(nPos position)
{
	moveList [nMovesCompleted ++] = position;
}

nPos CMoveList::getMove(int nIndex)
{
	if (nMovesCompleted >= 0)
		return moveList [nIndex];
}

int CMoveList::getMovesCompleted()
{
	return nMovesCompleted;

}

void CMoveList::Reset()
{
	nMovesCompleted = 0;

}
